/* Free Gifts - Tiered Display */

.gifts-table {
  width: 100%;
  max-width: 600px;
  margin: 0 auto;
  padding-top: 30px;
}

.gifts-table-heading {
  font-size: 20px;
  padding: 0 0 10px;
  margin-bottom: 15px;
  font-weight: 600;
}

.gifts-table-choices {
  margin-bottom: 20px;
  border-bottom: 3px dashed #76c939;
}

.gifts-tier-wrapper {
  padding: 20px 0;
}

.gifts-tier-wrapper:after {
  clear: both;
  content: '';
  display: table;
}

.gifts-tier-wrapper._not_active {
  opacity: 0.6;
  cursor: default;
  padding-top: 0;
}

.free-gift-message {
  display: none !important;
}

.gift_products_wrap {
  padding: 0;
}

.gift_products_wrap:after {
  clear: both;
  content: '';
  display: table;
}

.gift_product_name {
  width: calc(100% - 100px);
  padding-right: 20px;
  padding-left: 10px;
  float: left;
}

.gift_product_link {
  float: right;
  width: 50px;
}

.gift_btn {
  padding: 10px;
  border-radius: 4px;
  display: inline-block;
  width: 40px;
  height: 40px;
  box-shadow: 0 1px 3px 0 rgba(0, 0, 0, 0.1), 0 1px 2px 0 rgba(0, 0, 0, 0.06);
}

.gift_btn svg {
  width: 20px;
  height: 20px;
}

.gift_btn:hover {
  background: #73aa37;
  border-color: #73aa37;
  color: white;
}

.gift-title {
  text-align: center;
  margin: 0 0 20px;
  padding: 18px 0;
  border-top: 3px dashed #73aa37;
  border-bottom: 3px dashed #73aa37;
}

.gift-main-title {
  text-align: center;
  font-size: 28px;
}

.gift-main-title strong {
  color: #18a332;
  font-weight: 700;
  text-decoration: none;
}

.gift-main-title strong:before {
  display: none;
}

._not_active .gift_product_link {
  display: none;
}

.gift_product_item {
  padding: 10px;
  box-shadow: 0 4px 6px -1px rgba(0, 0, 0, 0.1), 0 2px 4px -1px rgba(0, 0, 0, 0.06);
  margin: 10px 30px 20px 0;
  float: left;
  width: calc(33.333% - 20px);
  border-radius: 4px;
}

.gift_product_image {
  float: left;
  width: 50px;
}

@media (min-width: 992px) {
  .gift_product_item:nth-of-type(3n) {
    margin-right: 0;
  }

  .gift_product_item:nth-of-type(3n+1) {
    clear: both;
  }
}

@media (max-width: 991px) {
  .gift_product_item {
    width: calc(50% - 15px);
  }

  .gift_product_item:nth-of-type(2n) {
    margin-right: 0;
  }

  .gift_product_item:nth-of-type(2n+1) {
    clear: both;
  }
}

@media (max-width: 550px) {
  .gift_product_item {
    width: 100%;
    float: none;
    margin-right: 0;
  }

  .gift_product_item:after {
    clear: both;
    content: '';
    display: table;
  }
}

/* Checkout gift selection */
.no-gift-wrap {
  padding: 30px 0 50px;
  text-align: center;
  clear: both;
}

.no-gift-btn {
  background: #76c939;
  display: inline-block;
  padding: 10px 30px;
  font-size: 18px;
  color: white !important;
  font-weight: 700;
}

form.woocommerce-checkout.showit,
.checkout_coupon.woocommerce-form-coupon.showit {
  display: block !important;
}
